Package org.apache.lucene.analysis.cn.smart

# Class AnalyzerProfile

java.lang.Object
org.apache.lucene.analysis.cn.smart.AnalyzerProfile

public class AnalyzerProfile extends Object
Manages analysis data configuration for SmartChineseAnalyzer

SmartChineseAnalyzer has a built-in dictionary and stopword list out-of-box.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`ANALYSIS_DATA_DIR`
Global indicating the configured analysis data directory

## Constructor Summary

Constructors
Constructor
Description
`AnalyzerProfile()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ANALYSIS_DATA_DIR

public static String ANALYSIS_DATA_DIR
Global indicating the configured analysis data directory

## Constructor Details

### AnalyzerProfile

public AnalyzerProfile()